ExporterConfiguration (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.report.config, class: ExporterConfiguration

Package org.apache.jmeter.report.config

# Class ExporterConfiguration

java.lang.Object
org.apache.jmeter.report.config.SubConfiguration
org.apache.jmeter.report.config.InstanceConfiguration
org.apache.jmeter.report.config.ExporterConfiguration

public class ExporterConfiguration extends InstanceConfiguration
The class ExporterConfiguration describes the configuration of an exporter.

Since:
  3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExporterConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `filtersOnlySampleSeries()`
  Indicates whether series filter apply only on sample series
  `final void`
  `filtersOnlySampleSeries(boolean filtersOnlySampleSeries)`
  Sets the series filters apply only on sample series.
  `Map<String,SubConfiguration>`
  `getGraphExtraConfigurations()`
  Gets the extra configurations for graphs.
  `final String`
  `getSeriesFilter()`
  Gets the series filter.
  `final void`
  `setSeriesFilter(String seriesFilter)`
  Sets the series filter.
  `final boolean`
  `showControllerSeriesOnly()`
  Indicates whether only controller series are shown.
  `final void`
  `showControllerSeriesOnly(boolean showControllerSeriesOnly)`
  Sets the flag defining whether only controllers series are shown

  ### Methods inherited from class org.apache.jmeter.report.config.InstanceConfiguration

  `getClassName, setClassName`

  ### Methods inherited from class org.apache.jmeter.report.config.SubConfiguration

  `getProperties, getProperty`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExporterConfiguration

    public ExporterConfiguration()

- ## Method Details

  - ### getGraphExtraConfigurations

    public Map<String,SubConfiguration> getGraphExtraConfigurations()
    Gets the extra configurations for graphs.
    Returns:
      the extra configurations for graphs

  - ### filtersOnlySampleSeries

    public final boolean filtersOnlySampleSeries()
    Indicates whether series filter apply only on sample series
    Returns:
      true if series filter apply only on sample series; false otherwise

  - ### filtersOnlySampleSeries

    public final void filtersOnlySampleSeries(boolean filtersOnlySampleSeries)
    Sets the series filters apply only on sample series.
    Parameters:
      `filtersOnlySampleSeries` - true if series filter apply only on sample series; false otherwise

  - ### getSeriesFilter

    public final String getSeriesFilter()
    Gets the series filter.
    Returns:
      the series filter

  - ### setSeriesFilter

    public final void setSeriesFilter(String seriesFilter)
    Sets the series filter.
    Parameters:
      `seriesFilter` - the series filter to set

  - ### showControllerSeriesOnly

    public final boolean showControllerSeriesOnly()
    Indicates whether only controller series are shown.
    Returns:
      true if only controller series are shown; false otherwise

  - ### showControllerSeriesOnly

    public final void showControllerSeriesOnly(boolean showControllerSeriesOnly)
    Sets the flag defining whether only controllers series are shown
    Parameters:
      `showControllerSeriesOnly` - indicates whether only controllers series are shown